#pragma config(StandardModel, "EV3_REMBOT")
//*!!Code automatically generated by 'ROBOTC' configuration wizard               !!*//

/*
Create a program that shows how a keyless ignition works. The Ultrasonic Sensor
welcomes the driver. The Touch Sensor works the ignition.
*/

task touchTask()
{
	//Wait for the touch sensor to be pressed.
	while(getTouchValue(touchSensor) == 0)
	{
		//Do Nothing.
		sleep(10);
	}

	//Display Text on the LCD Screen.
	eraseDisplay();
	displayCenteredBigTextLine(4, "Ignition");

	//Display text for 3 seconds.
	sleep(3000);
}

task main()
{
	//Start the second task to monitor the touch sensor.
	startTask(touchTask);

	//Wait for the sonar sensor to see an object that is less than or equal to 5cm away.
	while(getUSDistance(sonarSensor) >= 5)
	{
		//Do Nothing.
		sleep(10);
	}

	//Display text on the LCD Screen.
	eraseDisplay();
	displayCenteredBigTextLine(4, "Welcome");

	//Display text for 3 seconds.
	sleep(3000);
}
